Improper Access Control Affecting org.infinispan:infinispan-server-rest package, versions [,12.0.0.Dev06)


0.0
medium
  • Attack Complexity

    High

  • Privileges Required

    High

  • Integrity

    High

  • Availability

    High

Do your applications use this vulnerable package?

In a few clicks we can analyze your entire application and see what components are vulnerable in your application, and suggest you quick fixes.

Test your applications
  • snyk-id

    SNYK-JAVA-ORGINFINISPAN-1040420

  • published

    15 Nov 2020

  • disclosed

    13 Nov 2020

  • credit

    Unknown

How to fix?

Upgrade org.infinispan:infinispan-server-rest to version 12.0.0.Dev06 or higher.

Overview

org.infinispan:infinispan-server-rest is an Infinispan Rest Server.

Affected versions of this package are vulnerable to Improper Access Control due to authorization check missing for server management operations.